Get trace by transaction

API to get Sentio call trace. It takes txId.txHash and chainSpec.chainId arguments, where the first is transaction hash, and the second is the numeric ethereum chain ID.

The results looks very similar to the normal Ethereum call trace. But we have an additional startIndex and startIndex on each trace entry even for the LOG, representing the execution order in the trace.

This allows you to build chart that marks the order of fund flow.

screenshot
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
string
required
string
required
string
required
Query Params
boolean

Fetch the decoded trace, which will give you the function info, decoded parameters of both external and internal call trace.

boolean

Disable optimizations to make internal calls more accurate, but gas costs will differ from the actual execution.

boolean

Only effective when disableOptimizer=true.

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json